#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	MIME
Summary:	Email::MIME - easy MIME message parsing
Summary(pl.UTF-8):	Email::MIME - łatwe analizowanie wiadomości w formacie MIME
Name:		perl-Email-MIME
Version:	1.946
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	31e3aca6bee28cd29c351b65fe89bc6a
URL:		http://search.cpan.org/dist/Email-MIME/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-Date-Format
BuildRequires:	perl-Email-MIME-ContentType >= 1.016
BuildRequires:	perl-Email-MIME-Encodings >= 1.314
BuildRequires:	perl-Email-MessageID
BuildRequires:	perl-Email-Simple >= 1:2.211
BuildRequires:	perl-Encode
BuildRequires:	perl-MIME-Types >= 1.13
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.08
%endif
Requires:	perl-Email-Simple >= 1:2.004
Provides:	perl-Email-MIME-Creator
Provides:	perl-Email-MIME-Modifier
Obsoletes:	perl-Email-MIME-Creator
Obsoletes:	perl-Email-MIME-Modifier
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an extension of the Email::Simple module, to handle MIME
encoded messages. It takes a message as a string, splits it up into
its constituent parts, and allows you access to various parts of the
message. Headers are decoded from MIME encoding.

%description -l pl.UTF-8
Jest to rozszerzenie modułu Email::Simple służące do obsługi
wiadomości w formacie MIME. Pobiera ono wiadomość jako łańcuch
tekstowy, dzieli go na części składowe i umożliwia dostęp do
poszczególnych części wiadomości. Nagłówki również są dekodowane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/*.pm
%{perl_vendorlib}/Email/MIME/*.pm
%{perl_vendorlib}/Email/MIME/Header
%{_mandir}/man3/*
%changelog
* Mon Nov 26 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-MIME.git;a=log;h=master

* Tue Sep 25 2018 Adam Osuchowski <adwol@pld-linux.org> 5569d3e
- up to 1.946

* Mon Nov 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a56666
- up to 1.937

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 51ac6d7
- up to 1.910

* Thu Feb 17 2011 Szymon Siwek <sls@pld-linux.org> e2966f6
- ver. 1.907
- changed Source0 URL (wtf?)

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 4f39908
- tests BR: perl-Email-Date-Format, perl-Encode, perl-Test-Pod,
  perl-Test-Pod-Coverage

* Tue Oct 19 2010 Szymon Siwek <sls@pld-linux.org> b0de02f
- Provides: perl-Email-MIME-{Creator,Modifier}
- adapterized
- rel. 2

* Tue Oct 19 2010 Szymon Siwek <sls@pld-linux.org> 8380bd9
- BR: perl-Email-MessageID --with tests

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> fb1720a
- added O: perl-Email-MIME-Creator, perl-Email-MIME-Modifier

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 73a2c91
- updated to 1.902

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 1a07659
- updated to 1.863

* Wed Jan 09 2008 Jakub Bogusz <qboosh@pld-linux.org> ec25117
- generic URL

* Wed Jan 09 2008 Maciej Pijanka <agaran@pld-linux.org> 4b3129b
- up to 1.861, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b3c8f8d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7d9a1a4
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 546e5aa
- rel 1

* Wed Aug 09 2006 Maciej Pijanka <agaran@pld-linux.org> 7392907
- up to 1.85, rel 0.1, builds here

* Thu May 25 2006 Jakub Bogusz <qboosh@pld-linux.org> 77323d9
- R: perl-Email-Simple, release 2

* Thu Dec 09 2004 Jakub Bogusz <qboosh@pld-linux.org> bac719a
- pl fix

* Thu Dec 09 2004 ankry <ankry@pld-linux.org> ddf7149
- pl

* Thu Dec 09 2004 radek <radek@pld-linux.org> 5023f81
- tweaked BR

